## ros-noetic-qb-move-hardware-interface 2.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(qb_move_hardware_interface VERSION 2.2.2 LANGUAGES CXX)

# Dependency Settings
find_package(catkin REQUIRED
  COMPONENTS
    roscpp
    control_toolbox
    interactive_markers
    tf2
    tf2_geometry_msgs
    transmission_interface
    qb_device_hardware_interface
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    roscpp
    control_toolbox
    interactive_markers
    tf2
    tf2_geometry_msgs
    transmission_interface
    qb_device_hardware_interface
)

# Exported libraries
add_library(${PROJECT_NAME}
  src/qb_move_hardware_interface.cpp
  src/qb_claw_hardware_interface.cpp
)

target_link_libraries(${PROJECT_NAME}
  PUBLIC
    ${catkin_LIBRARIES}
)

add_dependencies(${PROJECT_NAME}
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

# C++ Settings
if (CMAKE_VERSION VERSION_LESS "3.1")
  target_compile_options(${PROJECT_NAME}
    PUBLIC
      "-std=c++14"
  )
else ()
  set_property(
    TARGET
      ${PROJECT_NAME}
    PROPERTY CXX_STANDARD 14
  )

  set_property(
    TARGET
      ${PROJECT_NAME}
    PROPERTY CXX_STANDARD_REQUIRED ON
  )
endif ()

# Installation
install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(
  DIRECTORY
    include/${PROJECT_NAME}/
  DESTINATION
    ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(
  FILES 
    plugin.xml
    plugin_claw.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-qb-move-hardware-interface (2.2.2-1buster) buster; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 31 Aug 2021 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.2.1-1buster) buster; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 26 Aug 2021 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.2.0-1buster) buster; urgency=high

  * Removed debug cout from code
  * Added limits settings in qbmove. Fixed some minor bugs
  * Fixed stiffness misreading in qbmove with new firmware version.
  * Added some images to exapli the software functionalities. Added waypoints. Fixed a bug.
  * Fixed a bug(position factor in constructor was not considered). Basic claw plugin implemented and tested.
  * Created a new plugin to control qb SoftClaw
  * Update license

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 25 Aug 2021 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.1.3-1buster) buster; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 06 Oct 2019 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.1.2-1buster) buster; urgency=high

  * Fix dependencies

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 10 Jun 2019 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.1.1-1buster) buster; urgency=high

  * Fix dependencies

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 10 Jun 2019 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.1.0-1buster) buster; urgency=high

  * Fix minor style issues
  * Add an interactive marker to control the device
  * Fix minor style issues

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 27 May 2019 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.0.2-1buster) buster; urgency=high

  * Update license agreement copyright

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 08 Aug 2018 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.0.1-1buster) buster; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 06 Aug 2018 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.0.0-1buster) buster; urgency=high

  * Refactor transmission initialization
  * Refactor initialization
  * Prepare for CombinedRobotHW compatibility

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 29 May 2018 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (1.0.6-1buster) buster; urgency=high

  * Add forgotten assertion of the shaft encoder

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-noetic-qb-move-hardware-interface (1.0.5-1buster) buster; urgency=high

  * Fix C++11 support for cmake version less than 3.1

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 26 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (1.0.4-1buster) buster; urgency=high

  * Update cmake version to match Kinetic standards

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 22 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (1.0.3-1buster) buster; urgency=high

  * fix dependencies

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 21 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (1.0.2-1buster) buster; urgency=high

  * fix cmake settings to solve isolated builds

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (1.0.1-1buster) buster; urgency=high

  * first public release for Kinetic

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 18 Jun 2017 22:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-qb-move-hardware-interface//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-qb-move-hardware-interface 3.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-project(qb_move_hardware_interface VERSION 2.2.2 LANGUAGES CXX)
+project(qb_move_hardware_interface VERSION 3.0.3 LANGUAGES CXX)
 
 # Dependency Settings
 find_package(catkin REQUIRED

=== debian/changelog ===
ros-noetic-qb-move-hardware-interface (3.0.3-2focal) focal; urgency=high

  * FIX: deflection joint always updated even when its controller is not running.

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 09 Jul 2023 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (3.0.2-2focal) focal; urgency=high

  * FEAT: fix startup behaviour

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 25 Apr 2023 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (3.0.1-2focal) focal; urgency=high

  * Added effort and velocity info also for deflection control
  * Bug fixed when a simple qbmove is controlled (with no deflection command)
  * Implemented double controller.

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 22 Mar 2023 23:00:00 -0000

ros-noetic-qb-move-hardware-interface (3.0.0-2focal) focal; urgency=high

  * removed some debug std::cout. Control period setted to 200 Hz because at 1 kHz communication errors occur.
  * Modified some vector types according to new API methods.
  * Fixed too high qbmove shaft limits

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 05 Jul 2022 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.2.1-2focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 26 Aug 2021 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.2.0-2focal) focal; urgency=high

  * Removed debug cout from code
  * Added limits settings in qbmove. Fixed some minor bugs
  * Fixed stiffness misreading in qbmove with new firmware version.
  * Added some images to exapli the software functionalities. Added waypoints. Fixed a bug.
  * Fixed a bug(position factor in constructor was not considered). Basic claw plugin implemented and tested.
  * Created a new plugin to control qb SoftClaw
  * Update license

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 25 Aug 2021 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.1.3-2focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 06 Oct 2019 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.1.2-2focal) focal; urgency=high

  * Fix dependencies

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 10 Jun 2019 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.1.1-2focal) focal; urgency=high

  * Fix dependencies

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 10 Jun 2019 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.1.0-2focal) focal; urgency=high

  * Fix minor style issues
  * Add an interactive marker to control the device
  * Fix minor style issues

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 27 May 2019 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.0.2-2focal) focal; urgency=high

  * Update license agreement copyright

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 08 Aug 2018 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.0.1-2focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 06 Aug 2018 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (2.0.0-2focal) focal; urgency=high

  * Refactor transmission initialization
  * Refactor initialization
  * Prepare for CombinedRobotHW compatibility

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 29 May 2018 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (1.0.6-2focal) focal; urgency=high

  * Add forgotten assertion of the shaft encoder

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-noetic-qb-move-hardware-interface (1.0.5-2focal) focal; urgency=high

  * Fix C++11 support for cmake version less than 3.1

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 26 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (1.0.4-2focal) focal; urgency=high

  * Update cmake version to match Kinetic standards

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 22 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (1.0.3-2focal) focal; urgency=high

  * fix dependencies

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 21 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (1.0.2-2focal) focal; urgency=high

  * fix cmake settings to solve isolated builds

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-noetic-qb-move-hardware-interface (1.0.1-2focal) focal; urgency=high

  * first public release for Kinetic

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 18 Jun 2017 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-qb-move-hardware-interface
Section: misc
Priority: optional
Maintainer: Alessandro Tondo <alessandro.tondo@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-control-toolbox, ros-noetic-hardware-interface, ros-noetic-interactive-markers, ros-noetic-qb-device-hardware-interface, ros-noetic-roscpp, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-transmission-interface
Homepage: http://wiki.ros.org/qb_move_hardware_interface
Standards-Version: 3.9.2

Package: ros-noetic-qb-move-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-control-toolbox, ros-noetic-hardware-interface, ros-noetic-interactive-markers, ros-noetic-qb-device-hardware-interface, ros-noetic-roscpp, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-transmission-interface
Description: This package contains the hardware interface for qbrobotics® qbmove device.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
